## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate sequoia-openpgp

Name:           rust-%{crate}
Version:        1.8.0
Release:        %autorelease
Summary:        OpenPGP data types and associated machinery

# Upstream license specification: LGPL-2.0-or-later
License:        LGPLv2+
URL:            https://crates.io/crates/sequoia-openpgp
Source:         %{crates_source}
# Initial patched metadata
# * drop windows- and WASM-specific dependencies
Patch0:         sequoia-openpgp-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
OpenPGP data types and associated machinery.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+allow-experimental-crypto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allow-experimental-crypto-devel %{_description}

This package contains library source intended for building other packages which
use the "allow-experimental-crypto" feature of the "%{crate}" crate.

%files       -n %{name}+allow-experimental-crypto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+allow-variable-time-crypto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allow-variable-time-crypto-devel %{_description}

This package contains library source intended for building other packages which
use the "allow-variable-time-crypto" feature of the "%{crate}" crate.

%files       -n %{name}+allow-variable-time-crypto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bzip2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bzip2-devel %{_description}

This package contains library source intended for building other packages which
use the "bzip2" feature of the "%{crate}" crate.

%files       -n %{name}+bzip2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-devel %{_description}

This package contains library source intended for building other packages which
use the "compression" feature of the "%{crate}" crate.

%files       -n %{name}+compression-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-bzip2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-bzip2-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-bzip2" feature of the "%{crate}" crate.

%files       -n %{name}+compression-bzip2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-deflate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-deflate-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-deflate" feature of the "%{crate}" crate.

%files       -n %{name}+compression-deflate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-nettle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-nettle-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-nettle" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-nettle-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+flate2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+flate2-devel %{_description}

This package contains library source intended for building other packages which
use the "flate2" feature of the "%{crate}" crate.

%files       -n %{name}+flate2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nettle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nettle-devel %{_description}

This package contains library source intended for building other packages which
use the "nettle" feature of the "%{crate}" crate.

%files       -n %{name}+nettle-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu May 05 2022 Fabio Valentini <decathorpe@gmail.com> 1.8.0-2
- Drop downstream patch to revert upstream move to xxh3

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> 1.8.0-1
- Update to version 1.8.0; Fixes RHBZ#2059929

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 18 2022 Fabio Valentini <decathorpe@gmail.com> 1.7.0-1
- Update to version 1.7.0; Fixes RHBZ#2002229

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Fabio Valentini <decathorpe@gmail.com> - 1.3.0-1
- Update to version 1.3.0.
- Fixes RHBZ#1969381

* Mon Apr 12 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-2
- Add upstream patch to fix i686-specific test compilation failure.

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Initial package

